### Function

# GLib TestFixtureFunc

since: 2.28

#### Declaration

    void
    (* GTestFixtureFunc) (
      gpointer fixture,
      gconstpointer user_data
    )

#### Description [src]

The type used for functions that operate on test fixtures.

This is used for the fixture setup and teardown functions as well as for the testcases themselves.

`user_data` is a pointer to the data that was given when registering the test case.

`fixture` will be a pointer to the area of memory allocated by the test framework, of the size requested. If the requested size was zero then `fixture` will be equal to `user_data`.

Available since: 2.28

#### Parameters

`fixture`

  Type: `gpointer`

  The test fixture.

  The data is owned by the caller of the function.

`user_data`

  Type: `gconstpointer`

  The data provided when registering the test.

  The argument can be `NULL`.
  The data is owned by the caller of the function.